none
Azure Function Apps - PowerShell v5.0 RRS feed

  • Question

  • I have been writing a few small Azure Function Apps to use with Microsoft Flow.

    I have imported a custom Powershell module for calling API's of a CRM we use, however it requires PowerShell version 5 to run. 

    I haven't been able to find where to change the PS version or any date of releasing v5.0 support in Azure function app documentation.

    Does anyone have an idea of when this will be released or how to implement it currently?

    Thanks,

    Dion

    Wednesday, May 17, 2017 1:40 AM

All replies

  • We are unable to support PowerShell 5.0 at the moment.  The installer does not work in our environment.  No ETA at this point.  If your workflow requires PowerShell 5.0, we recommend using Azure Automation.
    Wednesday, May 17, 2017 10:38 PM
  • In case anyone comes here on a google search, Azure Functions now runs on Server 2016 which has Powershell 5.1 natively.

    -- Justin Grote Sr. Systems Engineer En Pointe Global Services

    Wednesday, February 21, 2018 10:07 PM
  • Correct, we now have PowerShell 5. W do not and will not support PowerShell 4. We're still planning a breaking change for PowerShell in v2 before we'll GA it (and that might move us to 6core due to the better version control management there, TBD)
    Wednesday, February 21, 2018 10:59 PM
  • Thanks for the update! 6 core would be great as long as the option for 5.1 still exists, as there are a lot of modules that don't operate on 6 core yet. Shouldn't be a big deal, the invoker runtime just chooses pwsh instead of powershell.

    -- Justin Grote Sr. Systems Engineer En Pointe Global Services

    Thursday, February 22, 2018 4:45 PM